## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMapElement.JaxbIndexManyToMany

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMapElement.JaxbIndexManyToMany

Enclosing class:
  JaxbMapElement

    public static class JaxbMapElement.JaxbIndexManyToMany

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `clazz`
`protected List<JaxbColumnElement>` `column`
`protected String` `columnAttribute`
`protected String` `entityName`
`protected String` `foreignKey`

Constructor Summary
`JaxbMapElement.JaxbIndexManyToMany()`

Method Summary
`String` `getClazz()` Gets the value of the clazz property.
`List<JaxbColumnElement>` `getColumn()` Gets the value of the column property.
`String` `getColumnAttribute()` Gets the value of the columnAttribute property.
`String` `getEntityName()` Gets the value of the entityName property.
`String` `getForeignKey()` Gets the value of the foreignKey property.
`void` `setClazz(String value)` Sets the value of the clazz property.
`void` `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` `setEntityName(String value)` Sets the value of the entityName property.
`void` `setForeignKey(String value)` Sets the value of the foreignKey property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected List<JaxbColumnElement> column

### clazz

    protected String clazz

### columnAttribute

    protected String columnAttribute

### entityName

    protected String entityName

### foreignKey

    protected String foreignKey

Constructor Detail

### JaxbMapElement.JaxbIndexManyToMany

    public JaxbMapElement.JaxbIndexManyToMany()

Method Detail

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.